<?php

	function quidus_sections_color( $wp_customize ) {
		
		$wp_customize->add_section( 'quidus_color_headings' , array(
			'title'      => __('Headings','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_widget_title' , array(
			'title'      => __('Widget Title','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 11,
		) );
		
		$wp_customize->add_section( 'quidus_color_content_meta' , array(
			'title'      => __('Content Meta','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 11,
		) );
		
		$wp_customize->add_section( 'quidus_color_p' , array(
			'title'      => __('Paragraph','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 11,
		) );
		
		$wp_customize->add_section( 'quidus_color_th' , array(
			'title'      => __('Table Header','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_td' , array(
			'title'      => __('Table Data','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_dd' , array(
			'title'      => __('Definition List Data','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_dt' , array(
			'title'      => __('Definition List Title','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_address' , array(
			'title'      => __('Address','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_blockquote' , array(
			'title'      => __('Blockquote','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_a' , array(
			'title'      => __('Link','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_header' , array(
			'title'      => __('Header','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
		$wp_customize->add_section( 'quidus_color_footer' , array(
			'title'      => __('Footer','quidus'),
			'panel' => 'quidus_color_panel',
			'priority'   => 10,
		) );
		
	}

	add_action('customize_register', 'quidus_sections_color');

?>