		
		<div class="menu-holder">
			
			<div class="horizontal-menu-wrapper">
			
				<header id="masthead" class="site-header">
				
					<div class="site-branding-wrapper">
					
						<div class="site-branding">
							<?php if ( get_theme_mod( 'quidus_logo' ) ) : ?><div class="nav-item">
								
								
									<div class='site-logo'>
										<a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img src='<?php echo esc_url( get_theme_mod( 'quidus_logo' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
									</div>
									
								
							</div><?php else : ?>
							<div class="nav-item site-title-wrapper">
							
								<h4 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h4>
								
							</div>
								
							<div class="nav-item site-description-wrapper">

								<?php $description = get_bloginfo( 'description', 'display' );
								if ( $description || is_customize_preview() ) : ?>
									<p class="site-description"><?php echo $description; ?></p>
								<?php endif; ?>
								
							</div>
								
							<?php endif; ?>
							
							<button class="secondary-toggle"><?php _e( 'Menu and widgets', 'quidus' ); ?></button>
							
						</div><!-- .site-branding -->
						
					</div>
				
				</header>
				
				<div class="float-right">
					
					<!-- Navigation menu -->

					<?php if ( has_nav_menu( 'primary' ) ) : ?>
						<div class="nav-item">
							<nav id="site-navigation" class="main-navigation" role="navigation">
								<?php
									// Primary navigation menu.
									wp_nav_menu( array(
										'menu_class'     => 'nav-menu-primary',
										'theme_location' => 'primary',
									) );
								?>
							</nav><!-- .main-navigation -->
						</div>
					<?php endif; ?>
					
					<!-- Social buttons -->
					<?php if( class_exists( 'Kirki' ) and has_header_social_networks()) : ?>
					<div class="nav-item">
						<?php quidus_my_social(); ?>
					</div>
					<?php endif; ?>
					<!-- Search menu -->
					
					<?php if ( get_theme_mod('quidus_horizontal_menu_search_enable', 'default') == true ) : ?>
						<div class="nav-item">
							<div class="toggle-search"><i class="fa fa-search"></i></div>
							<div class="search-expand">
								<div class="search-expand-inner">
									<?php get_search_form(); ?>
								</div>
							</div>
						</div>
					<?php endif; ?>
					
					<?php if( class_exists( 'WooCommerce' ) ) : ?>
						<?php if ( get_theme_mod('quidus_horizontal_menu_cart_enable', 'default') == true ) : ?>
							<div class="nav-item">
								<div class="menu-cart-wrapper">
									
										<?php global $woocommerce; ?>
										<a class="cart-contents fa fa-credit-card" href="<?php echo esc_url($woocommerce->cart->get_cart_url()); ?>" title="<?php _e('View your shopping cart', 'quidus'); ?>">
										<span class="header-menu-cart-count"><?php echo esc_attr( $woocommerce->cart->cart_contents_count);?></span>
										</a>
									
								</div>
							</div>
						<?php endif; ?>
						
					<?php endif; ?>
					
				</div>
			
			</div>
			
		</div>
		
		<div class="menu-offset-fix"></div>