<?php $body_font = get_theme_mod('quidus_body_font', array( 'font-family' => 'Sanchez' )); $headings_font = get_theme_mod('quidus_header_font', array( 'font-family' => 'Montserrat' )); 
	
	/* ------------------------------------------- */
		
	/* ------ // Typography -> Header // ------ */
		
	/* ------------------------------------------- */
	
	/* Enable Custom Site Title Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'setting'     => 'quidus_site_title_typography_enable',
		'label'       => __( 'Enable Custom Site Title Typography', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Site Title Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_title_size',
		'label'       => __( 'Site Title Font Size', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	));
	
	/* Enable Custom Site Title Settings */
	
	$header_font_default = is_array($headings_font) ? $headings_font["font-family"] : "Montserrat";
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_site_title_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => false,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* Site Title Margin Top */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_title_margin_top',
		'label'       => __( 'Site Title Margin Top (px)', 'quidus' ),'description' => __( 'Only applies to screen sizes that are wider than 955px.', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => 28,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 20,
			'max'  => 40,
			'step' => 1
		),
	));
	
	/* Enable Custom Site Description Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'setting'     => 'quidus_site_description_typography_enable',
		'label'       => __( 'Enable Custom Site Description Typography', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Site Description Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_description_size',
		'label'       => __( 'Site Description Font Size', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	));
	
	/* Enable Custom Site Description Settings */
	
	$body_font_default = is_array($body_font) ? $body_font["font-family"] : "Sanchez";
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_site_description_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => array(
			'font-family'    => $body_font_default,
			'font-weight'    => '400',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => false,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* Site Description Margin Top */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_description_margin_top',
		'label'       => __( 'Site Description Margin Top (px)', 'quidus' ),'description' => __( 'Only applies to screen sizes that are wider than 955px.', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => 28,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 20,
			'max'  => 40,
			'step' => 1
		),
	));
	
	/* Enable Custom Primary Menu Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'setting'     => 'quidus_menu_typography_enable',
		'label'       => __( 'Enable Custom Primary Menu Typography', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Custom Primary Menu Settings */
	
	$body_font_default = is_array($body_font) ? $body_font["font-family"] : "Sanchez";
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_menu_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => array(
			'font-family'    => $body_font_default,
			'font-weight'    => '400',
			'line-height'    => '1.6',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => false,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => false,
			'letter-spacing' => false,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* Primary Menu Item Margin Top */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_primary_menu_margin_top',
		'label'       => __( 'Primary Menu Margin Top (px)', 'quidus' ),'description' => __( 'Only applies to screen sizes that are wider than 955px.', 'quidus' ),
		'section'     => 'quidus_typography_header',
		'default'     => 28,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 20,
			'max'  => 40,
			'step' => 1
		),
	));

?>