<?php $body_font = get_theme_mod('quidus_body_font', array( 'font-family' => 'Sanchez' ));
	
	/* ------------------------------------------- */
		
	/* ------ // Typography -> Paragraph // ------ */
		
	/* ------------------------------------------- */
	
	/* Enable Custom Paragraph Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'setting'     => 'quidus_paragraph_typography_enable',
		'label'       => __( 'Enable Custom Single Post Paragraph Typography', 'quidus' ),'description' => __( 'Also applies to blog, archive, category, and other pages that contain excerpt.', 'quidus'),
		'section'     => 'quidus_typography_p',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Paragraph Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_paragraph_size',
		'label'       => __( 'Single Post Paragraph Font Size', 'quidus' ),
		'section'     => 'quidus_typography_p',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	));
	
	/* Enable Custom Paragraph Settings */
	$body_font_default = is_array($body_font) ? $body_font["font-family"] : "Sanchez";
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_paragraph_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_p',
		'default'     => array(
			'font-family'    => $body_font_default,
			'font-weight'    => '400',
			'line-height'    => '1.6',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );

?>